Subject: linux-next: manual merge of the kspp tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 8 Apr 2020 12:00:25 +1000

Hi all,

Today's linux-next merge of the kspp tree got a conflict in:

  scripts/gcc-plugins/Makefile

between commits:

  735aab1e008b ("kbuild: add -Wall to KBUILD_HOSTCXXFLAGS")

from Linus' tree and commit:

  dda632f1bc6d ("gcc-common.h: Update for GCC 10")
  8d1951750084 ("gcc-plugins: drop support for GCC <= 4.7")

from the kspp tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc scripts/gcc-plugins/Makefile
index f22858b2c3d6,1d0b9382e759..000000000000
--- a/scripts/gcc-plugins/Makefile
+++ b/scripts/gcc-plugins/Makefile
@@@ -1,9 -1,19 +1,10 @@@
  # SPDX-License-Identifier: GPL-2.0
 -PLUGINCC := $(CONFIG_PLUGIN_HOSTCC:"%"=%)
  GCC_PLUGINS_DIR := $(shell $(CC) -print-file-name=plugin)
  
 -ifeq ($(PLUGINCC),$(HOSTCC))
 -  HOSTLIBS := hostlibs
 -  HOST_EXTRACFLAGS += -I$(GCC_PLUGINS_DIR)/include -I$(src) -std=gnu99 -ggdb
 -  export HOST_EXTRACFLAGS
 -else
 -  HOSTLIBS := hostcxxlibs
 -  HOST_EXTRACXXFLAGS += -I$(GCC_PLUGINS_DIR)/include -I$(src) -std=gnu++98 -fno-rtti
 -  HOST_EXTRACXXFLAGS += -fno-exceptions -fasynchronous-unwind-tables -ggdb
 -  HOST_EXTRACXXFLAGS += -Wno-narrowing -Wno-unused-variable
 -  HOST_EXTRACXXFLAGS += -Wno-format-diag
 -  export HOST_EXTRACXXFLAGS
 -endif
 +HOST_EXTRACXXFLAGS += -I$(GCC_PLUGINS_DIR)/include -I$(src) -std=gnu++98 -fno-rtti
 +HOST_EXTRACXXFLAGS += -fno-exceptions -fasynchronous-unwind-tables -ggdb
 +HOST_EXTRACXXFLAGS += -Wno-narrowing -Wno-unused-variable -Wno-c++11-compat
++HOST_EXTRACXXFLAGS += -Wno-format-diag
  
  $(obj)/randomize_layout_plugin.o: $(objtree)/$(obj)/randomize_layout_seed.h
  quiet_cmd_create_randomize_layout_seed = GENSEED $@